rosbag2_bagfile_information:
  version: 9
  storage_identifier: mcap
  duration:
    nanoseconds: 14653918266
  starting_time:
    nanoseconds_since_epoch: 1780853135318070833
  message_count: 19081
  topics_with_message_count:
    - topic_metadata:
        name: /animation
        type: bitbots_msgs/msg/Animation
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_2b65b21c174a1da7dd99900145c999ad5063d9812ca1649f3a3cd26b0ae7ed61
      message_count: 86
    - topic_metadata:
        name: /audio
        type: audio_common_msgs/msg/AudioStamped
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /ball_obstacle_active
        type: std_msgs/msg/Bool
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /ball_position_relative_filtered
        type: geometry_msgs/msg/PoseWithCovarianceStamped
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 726
    - topic_metadata:
        name: /balls_relative
        type: soccer_vision_3d_msgs/msg/BallArray
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 63
    - topic_metadata:
        name: /cmd_vel
        type: geometry_msgs/msg/Twist
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_9c45bf16fe0983d80e3cfe750d6835843d265a9a6c46bd2e609fcddde6fb8d2a
      message_count: 513
    - topic_metadata:
        name: /debug/approach_point
        type: visualization_msgs/msg/Marker
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_45b13ccf791f225962bf74e746f9644518855d783a6f42ba0cc14fde2b4f3ce0
      message_count: 0
    - topic_metadata:
        name: /debug/behavior/used_ball
        type: geometry_msgs/msg/PointStamped
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_4c0296af86e01e562e9e0405d138a01537247580076c58ea38d7923ac1045897
      message_count: 0
    - topic_metadata:
        name: /debug/behavior/which_ball_is_used
        type: std_msgs/msg/Header
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_f49fb3ae2cf070f793645ff749683ac6b06203e41c891e17701b1cb597ce6a01
      message_count: 0
    - topic_metadata:
        name: /debug/dsd/body_behavior/dsd_current_action
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 3
    - topic_metadata:
        name: /debug/dsd/body_behavior/dsd_stack
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 513
    - topic_metadata:
        name: /debug/dsd/body_behavior/dsd_tree
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1
    - topic_metadata:
        name: /debug/dsd/hcm/dsd_current_action
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 4
    - topic_metadata:
        name: /debug/dsd/hcm/dsd_stack
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1069
    - topic_metadata:
        name: /debug/dsd/hcm/dsd_tree
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1
    - topic_metadata:
        name: /debug/dsd/localization/dsd_current_action
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1
    - topic_metadata:
        name: /debug/dsd/localization/dsd_stack
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 294
    - topic_metadata:
        name: /debug/dsd/localization/dsd_tree
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 10
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1
    - topic_metadata:
        name: /diagnostics
        type: diagnostic_msgs/msg/DiagnosticArray
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_5a8a36efb05fb25070fa0fb3810290c0e6cd4862b54a8fb975a1ee8dc55a333e
      message_count: 55
    - topic_metadata:
        name: /diagnostics_agg
        type: diagnostic_msgs/msg/DiagnosticArray
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_5a8a36efb05fb25070fa0fb3810290c0e6cd4862b54a8fb975a1ee8dc55a333e
      message_count: 144
    - topic_metadata:
        name: /field/map
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 1
    - topic_metadata:
        name: /field_boundary_relative
        type: soccer_vision_3d_msgs/msg/FieldBoundary
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /gamestate
        type: game_controller_hsl_interfaces/msg/GameState
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_1c1dd0f773fb4642b9919e7570681dd99c890335cb62013b73c10fccb8c96eb4
      message_count: 0
    - topic_metadata:
        name: /goal_pose
        type: geometry_msgs/msg/PoseStamped
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /head_mode
        type: bitbots_msgs/msg/HeadMode
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 1
    - topic_metadata:
        name: /imu/data
        type: sensor_msgs/msg/Imu
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 2
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_7d9a00ff131080897a5ec7e26e315954b8eae3353c3f995c55faf71574000b5b
      message_count: 2849
    - topic_metadata:
        name: /joint_command
        type: bitbots_msgs/msg/JointCommand
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 86
    - topic_metadata:
        name: /joint_states
        type: sensor_msgs/msg/JointState
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 1198
    - topic_metadata:
        name: /motion_odometry
        type: nav_msgs/msg/Odometry
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
      message_count: 3482
    - topic_metadata:
        name: /move_base/current_goal
        type: geometry_msgs/msg/PoseStamped
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /path
        type: nav_msgs/msg/Path
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_1957a5bb3cee5da65c4e52e52b65a93df227efce4c20f8458b36e73066ca334b
      message_count: 0
    - topic_metadata:
        name: /pose_with_covariance
        type: geometry_msgs/msg/PoseWithCovarianceStamped
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 117
    - topic_metadata:
        name: /robot_state
        type: bitbots_msgs/msg/RobotControlState
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 1114
    - topic_metadata:
        name: /robots_relative
        type: soccer_vision_3d_msgs/msg/RobotArray
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 63
    - topic_metadata:
        name: /robots_relative_filtered
        type: soccer_vision_3d_msgs/msg/RobotArray
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_f1e0bc403cda4241fa3bdf2f500c7176a86ec6d9ee9f70bcc2a24f421a01811f
      message_count: 236
    - topic_metadata:
        name: /rosout
        type: rcl_interfaces/msg/Log
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1000
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 10
              nsec: 0
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_e28ce254ca8abc06abf92773b74602cdbf116ed34fbaf294fb9f81da9f318eac
      message_count: 346
    - topic_metadata:
        name: /speak
        type: bitbots_msgs/msg/TTS
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_ffde2549055e6cb483d824b218fa4ff30fc4be9feea0a8d5ddced83ed4f4b978
      message_count: 0
    - topic_metadata:
        name: /strategy
        type: bitbots_msgs/msg/Strategy
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 516
    - topic_metadata:
        name: /team_data
        type: bitbots_msgs/msg/TeamData
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 0
    - topic_metadata:
        name: /tf
        type: tf2_msgs/msg/TFMessage
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 100
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 100
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 100
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 100
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 100
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
      message_count: 4826
    - topic_metadata:
        name: /tf_static
        type: tf2_msgs/msg/TFMessage
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: true
        type_description_hash: RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
      message_count: 3
    - topic_metadata:
        name: /time_to_ball
        type: std_msgs/msg/Float32
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 516
    - topic_metadata:
        name: /whistle_detected
        type: builtin_interfaces/msg/Time
        serialization_format: cdr
        offered_qos_profiles:
          - history: keep_last
            depth: 1
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_b106235e25a4c5ed35098aa0a61a3ee9c9b18d197f398b0e4206cea9acf9c197
      message_count: 0
    - topic_metadata:
        name: /zed/zed_node/rgb/camera_info
        type: sensor_msgs/msg/CameraInfo
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 127
    - topic_metadata:
        name: /zed/zed_node/rgb/image_rect_color
        type: sensor_msgs/msg/Image
        serialization_format: cdr
        offered_qos_profiles:
          []
        type_description_hash: ""
      message_count: 126
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - ID_romeo_2026-06-07T192532_0.mcap
  files:
    []
  custom_data: ~
  ros_distro: jazzy